Package Details: catalyst-firepro 15.302.2301-5

Git Clone URL: https://aur.archlinux.org/catalyst-firepro.git (read-only)
Package Base: catalyst-firepro
Description: AMD/ATI drivers for FirePro/GL/MV brand cards. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport.
Upstream URL: http://www.amd.com
Licenses: custom
Conflicts: catalyst, catalyst-control, catalyst-daemon, catalyst-dkms, catalyst-generator, catalyst-utils, libegl, libgl, libgles, libglvnd, mesa-libgl, mesa-libgl-git, opencl-amd
Provides: catalyst=15.302.2301, catalyst-dkms=15.302.2301, catalyst-libgl=15.302.2301, catalyst-utils=15.302.2301, dri, libatical=15.302.2301, libegl, libgl, libgles, libtxc_dxtn, mesa-libgl, mesa-libgl-git, opencl-catalyst=15.302.2301, opencl-driver
Submitter: Vi0L0
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 6
Popularity: 0.000000
First Submitted: 2011-01-25 17:19
Last Updated: 2017-04-03 19:13

Dependencies (23)

Required by (816)

Sources (28)

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11

Vi0L0 commented on 2011-08-27 10:42

updated to 8.85.7.1

Vi0L0 commented on 2011-06-07 15:28

updated to 8.85:
- xorg-server 1.10.x support
- kernel 2.6.38 support (up to 3.0-rc2 kernel support through patches)

It's very similar to catalyst 11.5.
I've added lib32-catalyst-utils which will be added if only [multilib] repo is uncommented in pacman.conf.


NOTE: before building please download firepro_8.85_linux_119403.zip using this site:
http://support.amd.com/us/gpudownload/fire/Pages/fire_linux.aspx#2
and move it next to this PKGBUILD

Vi0L0 commented on 2011-04-10 11:50

it is also possible that with 2.6.38 kernel also new xorg-server 1.10 will appear in [extra], unfortunatelly this package isn't supporting fresh xserver, so either:
- add xorg-server-* and xf86-input-* packages which you installed into pacman.conf's IgnorePkg list
OR
- use [xorg19] repo - read https://wiki.archlinux.org/index.php/ATI_Catalyst#.5Bxorg19.5D

Vi0L0 commented on 2011-04-10 11:44

update:
today 2.6.38 kernel is gonna to land in [extra], so update is neccesary - it provides patches to work with new kernel.
It also got initial 2.6.39 patches.

The problem is that ati's firepro lacks official newer kernel support - it doesn't even got 2.6.36 kernel support - so we need a lot of patches, i can only have hope it will all work fine. It builds fglrx module here, but still i cannot test it in action.

@irnn: nice to hear it, cheers! :)

Anonymous comment on 2011-04-08 16:05

I am borrowing a Firepro v7800. This package works fine so far, thanks for the work

Vi0L0 commented on 2011-02-08 23:08

I can see new stable 8.773.1.1 uploaded yesterday by ati: http://support.amd.com/us/gpudownload/fire/Pages/fire_linux.aspx
but it lacks xserver 1.9 support so i won't update it.

Vi0L0 commented on 2011-01-25 17:36

Since i'm not FirePro/GL/MV card owner i'm not able to test this package right.
I will try to maintain and update it, but will leave it always orphaned so pro card owner could take it in any time.

Vi0L0 commented on 2011-01-25 17:35

Since i'm not FirePro/GL/MV card owner i'm not able to test this package right.
I will try to maintain and update it, but will leave it always orphaned so pro card owner could take it in any time.

Vi0L0 commented on 2011-01-25 17:30

catalyst-firepro 8.801-1:

official kernel support up to 2.6.35
xorg-server support up to 1.9.x

unoficial (community) kernel support up to 2.6.38-rc2 (last tested)

Vi0L0 commented on 2011-01-25 17:27

NOTE:
_before building_ please download zip(*) file using this:
http://support.amd.com/us/gpudownload/fire/Pages/fire_linux.aspx
OR(*) this site:
http://support.amd.com/us/gpudownload/fire/Pages/fire_beta_linux.aspx
and move it next to PKGBUILD.

* look at the top of PKGBUILD to see which file and which site exactly

There's no other way - you need to manualy download driver from amd's site.